std::experimental::filesystem::path::relative_path(3)

NAME
std::experimental::filesystem::path::relative_path - std::experimental::filesystem::path::relative_path

Synopsis
   path relative_path() const; (filesystem TS)
   Returns path relative to root path. If *this is an empty path, returns an empty
   path.

Parameters
   (none)

Return value
   Path relative to the root path.

Exceptions
   May throw implementation-defined exceptions.

Examples
// Run this code
 #include <iostream>
 #include <experimental/filesystem>
 namespace fs = std::experimental::filesystem;
 int main()
 {
     fs::path p = fs::current_path();
     std::cout << "The current path " << p << " decomposes into:\n"
               << "root-path " << p.root_path() << '\n'
               << "relative path " << p.relative_path() << '\n';
 }

Possible output:
 The current path "C:\Users\abcdef\Local Settings\temp" decomposes into:
 root-path "C:\"
 relative path "Users\abcdef\Local Settings\temp"

See also
   root_name returns the root-name of the path, if present
                  (public member function)
   root_directory returns the root directory of the path, if present
                  (public member function)
   root_path returns the root path of the path, if present
                  (public member function)